Bug 247371 - Memory leak on Xorg
Memory leak on Xorg
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
7
i386 Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-08 00:42 EDT by Edmond Hui
Modified: 2008-06-16 21:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:49:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf and logs (36.98 KB, application/zip)
2007-07-09 19:45 EDT, Edmond Hui
no flags Details
Xorg log run when no /etc/X11/xorg.conf (10.72 KB, application/zip)
2007-07-09 19:53 EDT, Edmond Hui
no flags Details
unzipped log file when Xorg run w/o conf (99.36 KB, text/plain)
2007-07-10 18:25 EDT, Matěj Cepl
no flags Details
from the zipped archive (90.40 KB, text/plain)
2007-07-10 18:26 EDT, Matěj Cepl
no flags Details
Xorg.0.log.old (90.49 KB, text/plain)
2007-07-10 18:27 EDT, Matěj Cepl
no flags Details
Xorg.20.log (90.38 KB, text/plain)
2007-07-10 18:28 EDT, Matěj Cepl
no flags Details
Xorg.20.log.old (90.38 KB, text/plain)
2007-07-10 18:28 EDT, Matěj Cepl
no flags Details
xorg.conf (801 bytes, text/plain)
2007-07-10 18:29 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Edmond Hui 2007-07-08 00:42:04 EDT
Description of problem:

Noticed that Xorg eats up memory over time. a ps aux should ~3% mem usage and
overtime turn into +30%

Version-Release number of selected component (if applicable):

How reproducible:

every time

Steps to Reproduce:
1. login to GNOME
2. wait
  
Actual results:

wait 6+ hours and do a ps aux and noticed it mem usage

Expected results:

The me usage should be mostly the same before and after

Additional info:

hw is a ThinkPad t60 2623-p2u 

My Smolt id is:
http://smolt.fedoraproject.org/show?UUID=eac88a4e-757b-4343-b375-4220dfac422e
Comment 1 Matěj Cepl 2007-07-09 09:15:56 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Edmond Hui 2007-07-09 19:45:43 EDT
Created attachment 158820 [details]
xorg.conf and logs

Please see the xorg.conf and logs
Comment 3 Edmond Hui 2007-07-09 19:53:45 EDT
Created attachment 158822 [details]
Xorg log run when no /etc/X11/xorg.conf

Here's the X11 log when doing init5 with no /etc/X11/xorg.conf
Comment 4 Matěj Cepl 2007-07-10 18:25:08 EDT
Created attachment 158903 [details]
unzipped log file when Xorg run w/o conf
Comment 5 Matěj Cepl 2007-07-10 18:26:53 EDT
Created attachment 158904 [details]
from the zipped archive
Comment 6 Matěj Cepl 2007-07-10 18:27:32 EDT
Created attachment 158905 [details]
Xorg.0.log.old
Comment 7 Matěj Cepl 2007-07-10 18:28:02 EDT
Created attachment 158906 [details]
Xorg.20.log
Comment 8 Matěj Cepl 2007-07-10 18:28:44 EDT
Created attachment 158907 [details]
Xorg.20.log.old
Comment 9 Matěj Cepl 2007-07-10 18:29:45 EDT
Created attachment 158908 [details]
xorg.conf
Comment 10 Doncho N. Gunchev 2007-09-27 09:42:38 EDT
Lately I have serious problem with X eating my memory too, top shows:

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND
13167 root      20   0  898m 413m 3448 S  1.3 41.3   2:10.67 X

Just after logging in:
  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND
19108 mr700     20   0 47164  26m  17m S  2.9  2.7   0:01.37 kicker
...
18892 root      20   0  350m  15m 3868 R  5.7  1.5   0:03.89 X

After starting Firefox, text editor and a console:

18892 root      20   0  354m  19m 4488 S  0.3  1.9   0:07.82 X


I have 1G RAM, i945GM/GMS video and my hw profile is:
ebf36068-3809-426c-ade0-d0c531b5b402

I use KDE + kdm. Logging out and in does not help. I have to logout, kill X11
(Ctrl+Alt+Backspace) and log in again to "fix" this. xorg.conf contains this for
my video:

Section "Device"
        VideoRam  65536 # forces memory to 64mb
        Driver      "intel"
        Identifier  "Videocard0"
        Option      "XAANoOffscreenPixmaps" "true"
        Option      "NoAccel" "false"
        Option      "DRI" "true"
        Option      "SWCursor" "false"
        Option      "XVideo" "true"
        # Option      "LinearAlloc" "6144" # Allows more memory for the
# offscreen allocator. This usually helps in situations where HDTV
# movies are required to play but not enough offscreen memory is
# usually available. Set this to 6144 for upto 1920x1080 HDTV support.
# Default 0KB (off).
        Option      "LinearAlloc" "8192"
EndSection

'rpm -qf intel_drv.so' gives 'xorg-x11-drv-i810-2.1.0-1.fc7'

This has not changed for at least 3 months. I usually suspended my laptop (with
hped=disable) to RAM / DISK (sometimes), so there were periods over a week
without problems. Now, X can eat so much memory in a matter of hours.

xrestop shows:
res-base Wins  GCs Fnts Pxms Misc   Pxm mem  Other   Total   PID Identifier
1200000    36   11    0  127  162     3472K      4K   3477K 13378 KDE Desktop
3600000   277   36    1  262  121     2807K     11K   2818K 32372 Bug 247371:...
3000000   267  126    1  383  244     1045K     15K   1061K 13536 Kontact

and a few others, nothing so big. I'm trying to find what trigers it, but with
no success so far.
Comment 11 Bug Zapper 2008-05-14 09:27:18 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2008-06-16 21:49:19 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.